using System.Data;
using System.Collections.Generic;

namespace Stat.IDAL
{
    public interface IViewUrlPage
    {
        /// <summary>
        /// 访问页面
        /// </summary>
        /// <param name="model"></param> 
        /// <returns></returns>
        List<Model.ViewItem_String> GetItem(Model.StatInfo model);   
        List<Model.StatItem> GetList(Model.StatInfo model);

        /// <summary>
        /// 已经过时
        /// </summary>
        /// <param name="model"></param> 
        /// <returns></returns>
        [System.Obsolete("The method is obsolete ,will be remove", true)]
        DataTable GetNUrlPage(Model.StatInfo model);
    }
}
